GH-PR-DIFF(1)

NAME
gh-pr-diff - View changes in a pull request

SYNOPSIS
gh pr diff [<number> | <url> | <branch>] [flags]

DESCRIPTION
View changes in a pull request.

Without an argument, the pull request that belongs to the current branch is selected.

With --web flag, open the pull request diff in a web browser instead.

OPTIONS

--color <string> (default "auto")
    Use color in diff output: {always|never|auto}

--name-only
    Display only names of changed files

--patch
    Display diff in patch format

-w, --web
    Open the pull request diff in the browser

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

SEE ALSO
gh-pr(1)